%define	name	s3cmd
%define	version	2.4.0
%define	release	1.2

Name:           %{name}
Version:        %{version}
Release:        2%{?dist}
Summary:        Tool for accessing Amazon Simple Storage Service

License:        GPL-2.0-or-later
URL:            https://s3tools.org/%{name}
Source0:        https://github.com/s3tools/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-dateutil
Requires:       python3-magic

%{?python_disable_dependency_generator}

%description
S3cmd lets you copy files from/to Amazon S3
(Simple Storage Service) using a simple to use
command line client.

%prep
%setup -q
rm -rf *.egg-info
%if %{without python3}
rm -f S3/Custom_httplib3x.py
%endif

%build
export S3CMD_PACKAGING=1
%py3_build

%install
export S3CMD_PACKAGING=1
%py3_install

mkdir -p %{buildroot}%{_mandir}/man1
install -D -p -m 0644 -t %{buildroot}%{_mandir}/man1 %{name}.1

%files
%license LICENSE
%doc NEWS README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/S3/

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-1
- initial build
